#
# This is the SPEC file for creating binary and source RPMs for the Qubes DB.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2013  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:		qubes-db
Version:	4.1.17
Release:	1%{?dist}
Summary:	QubesDB tools

Group:		Qubes
License:	GPL
URL:		http://www.qubes-os.org/

BuildRequires:	gcc
BuildRequires:	qubes-libvchan-devel
BuildRequires:	systemd-devel
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Source0:    %{name}-%{version}.tar.gz

%description
QubesDB management tools and daemon.

%package libs
Summary:	QubesDB libs
Group:		Qubes

%description libs
QubesDB client library.

%package devel
Summary:	QubesDB client header files
Group:		Qubes
Requires:	qubes-db-libs

%description devel
Header files for QubesDB client library and daemon protocol.

%package -n python%{python3_pkgversion}-qubesdb
Summary:    Python%{python3_pkgversion} bindings for QubesDB
Requires:   qubes-db-libs
%{?python_provide:%python_provide python%{python3_pkgversion}-qubesdb}

%description -n python%{python3_pkgversion}-qubesdb
Python3 bindings for QubesDB

%prep
%setup -q 

%build
%{?set_build_flags}
make %{?_smp_mflags} PYTHON=%{__python3} all

%install
make install \
         PYTHON=%{__python3} \
         DESTDIR=%{buildroot} \
         LIBDIR=%{_libdir} \
         BINDIR=%{_bindir} \
         SBINDIR=%{_sbindir}

%files
%doc
%{_bindir}/qubesdb-cmd
%{_bindir}/qubesdb-read
%{_bindir}/qubesdb-read-bool
%{_bindir}/qubesdb-write
%{_bindir}/qubesdb-rm
%{_bindir}/qubesdb-multiread
%{_bindir}/qubesdb-list
%{_bindir}/qubesdb-watch
%{_sbindir}/qubesdb-daemon

%files libs
%{_libdir}/libqubesdb.so

%files -n python%{python3_pkgversion}-qubesdb
%{python3_sitearch}/QubesDB-*egg-info
%{python3_sitearch}/qubesdb.*.so

%files devel
/usr/include/qubesdb.h
/usr/include/qubesdb-client.h

%changelog
* Fri May 05 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-qubesdb.git

* Fri May 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - edec3ca
- version 4.1.17

* Fri May 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ccd11ef
- ci: disable building with R4.2

* Fri May 05 2023 Ludovic Bellier <lbellier-gth@zyrianes.net> - 2d10d9e
- Update archlinux python version dependency to <3.12

* Fri May 05 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0ba3ed0
- archlinux: add python-setuptools in depends

* Fri May 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9c9ad74
- python: migrate away from deprecated distutils

* Fri May 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9178905
- rpm,debian: remove explicit dependency on vchan

* Fri May 05 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 55c13a8
- Fix some Doxygen comments

* Wed Feb 01 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6ee20c3
- version 4.1.16

* Wed Feb 01 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d6abcd7
- Rebuild with python 3.11

* Sat Dec 17 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1aba6b5
- version 4.1.15

* Fri Dec 16 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 329c59d
- debian: remove remaining python2 dep

* Sun Oct 16 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 9743538
- Fix qubesdb-read-bool on missing keys

* Tue Oct 11 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 37c8c27
- version 4.1.14

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 9f65b84
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 25 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d327cb8
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0c4a7c4
- Drop Travis CI

* Sat Apr 09 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e94f2c9
- Fix mingw build

* Mon Mar 21 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 13801fe
- ci: build on windows too

* Tue Mar 08 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 5399147
- Fix OSS Fuzz integration

* Sat Mar 05 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4831306
- version 4.1.13

* Sat Mar 05 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - b9870c9
- CLI tools: distinguish "no such entry" and "error"

* Thu Mar 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 892cde0
- Reserve ENOENT for "no such path in QubesDB"

* Thu Mar 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 55fd470
- Write error messages if fflush() fails

* Thu Mar 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 484f173
- Better error checking when writing to stdout

* Thu Mar 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - e6c1516
- Daemon: Zeroize memory before freeing it

* Thu Mar 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 00ad65e
- Securely zero buffer memory before freeing it

* Thu Mar 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 31038b5
- Fix an unchecked malloc

* Thu Mar 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - f3db5c1
- Move newline printing to common code

* Thu Mar 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 1ddb48c
- Forbid leading dashes in qubesdb entry names

* Thu Mar 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - ec06222
- Add documentation for -h

* Thu Mar 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 32a28ea
- Fix error checking and a memory leak

* Thu Mar 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 203725e
- Exit non-zero on I/O errors

* Thu Mar 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - ca0dc1f
- Allow removing a value after reading it

* Thu Mar 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 7e9c0b7
- Add a comma after enum variant

* Thu Mar 03 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 015adec
- Fix build with -Werror=missing-prototypes

* Thu Jan 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cb6f143
- windows: add locking

* Thu Jan 06 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 704b136
- windows: add missing handle_client_disconnect call

* Wed Jan 05 2022 Demi Marie Obenour <demi@invisiblethingslab.com> - 1308c96
- Add assertions to detect FD_SET overflow

* Wed Jan 05 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4f9dfb3
- version 4.1.12

* Thu Dec 30 2021 Mikhail Lukashov <mlukashov@tabit.pro> - 198be9d
- windows: fix qubesdb-daemon cleanup on shutdown

* Thu Dec 30 2021 Ivan Kardykov <kardykov@tabit.pro> - 6a34e2f
- windows: fix incompartible unicode with MinGW

* Thu Dec 30 2021 Mikhail Lukashov <mlukashov@tabit.pro> - 3cfe981
- windows: remove duplicated error logging

* Thu Dec 30 2021 Mikhail Lukashov <mlukashov@tabit.pro> - 22095ff
- windows: improve logging

* Thu Dec 30 2021 Mikhail Lukashov <mlukashov@tabit.pro> - 9a12fc3
- windows: build fixups to VS2019

* Wed Dec 29 2021 Ivan Kardykov <kardykov@tabit.pro> - 215f639
- fix win32 compilation

* Mon Dec 27 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6c75f00
- windows: rename perror to win_perror

* Mon Dec 27 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 08ccd54
- Add Makefile for MinGW build

* Mon Dec 27 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6697030
- Make the code compile with MinGW

* Tue Dec 14 2021 Otto Sabart <seberm@seberm.com> - 1e265c7
- archlinux: bump python dependency to v3.11

* Wed Oct 20 2021 Demi Marie Obenour <demi@invisiblethingslab.com> - 2542e3f
- Use $(file <) instead of $(shell cat)

